Open CASCADE Technology: BOPTools_Set Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions | Protected Attributes
BOPTools_Set Class Reference

`#include <BOPTools_Set.hxx>`

## Public Member Functions
| BOPTools_Set ()
virtual | ~BOPTools_Set ()
| BOPTools_Set (const BOPCol_BaseAllocator &theAllocator)
BOPTools_Set & | Assign (const BOPTools_Set &Other)
BOPTools_Set & | operator= (const BOPTools_Set &Other)
const TopoDS_Shape & | Shape () const
void | Add (const TopoDS_Shape &theS, const TopAbs_ShapeEnum theType)
Standard_Integer | NbShapes () const
Standard_Boolean | IsEqual (const BOPTools_Set &aOther) const
Standard_Integer | HashCode (const Standard_Integer Upper) const

## Protected Member Functions
void | Clear ()

## Protected Attributes
BOPCol_BaseAllocator | myAllocator
BOPCol_ListOfShape | myShapes
TopoDS_Shape | myShape
Standard_Integer | myNbShapes
Standard_Integer | mySum
Standard_Integer | myUpper

## Constructor & Destructor Documentation

BOPTools_Set::BOPTools_Set | ( |  | ) |

virtual BOPTools_Set::~BOPTools_Set | ( |  | ) |
| virtual

BOPTools_Set::BOPTools_Set | ( | const BOPCol_BaseAllocator & | theAllocator | ) |

## Member Function Documentation

void BOPTools_Set::Add | ( | const TopoDS_Shape & | theS,
|  | const TopAbs_ShapeEnum | theType
| ) |  |

BOPTools_Set& BOPTools_Set::Assign | ( | const BOPTools_Set & | Other | ) |

void BOPTools_Set::Clear | ( |  | ) |
| protected

Standard_Integer BOPTools_Set::HashCode | ( | const Standard_Integer | Upper | ) | const

Standard_Boolean BOPTools_Set::IsEqual | ( | const BOPTools_Set & | aOther | ) | const

Standard_Integer BOPTools_Set::NbShapes | ( |  | ) | const

BOPTools_Set& BOPTools_Set::operator= | ( | const BOPTools_Set & | Other | ) |
| inline

const TopoDS_Shape& BOPTools_Set::Shape | ( |  | ) | const

## Field Documentation

BOPCol_BaseAllocator BOPTools_Set::myAllocator
| protected

Standard_Integer BOPTools_Set::myNbShapes
| protected

TopoDS_Shape BOPTools_Set::myShape
| protected

BOPCol_ListOfShape BOPTools_Set::myShapes
| protected

Standard_Integer BOPTools_Set::mySum
| protected

Standard_Integer BOPTools_Set::myUpper
| protected

The documentation for this class was generated from the following file:

- BOPTools_Set.hxx